# Options

Zap has a number of options marked with `opt`, that must be placed at the start of the configuration file. If the option is not specified in the configuration file, the default will be used.

## Example Options

<CodeBlock :code="['opt casing = PascalCase', 'opt writechecks = false', 'opt typescript = false'].join('\n')" />

## Casing

The casing option defines the casing of the functions generated by Zap.

### Default

`PascalCase`

### Options

- `camelCase`
- `PascalCase`
- `snake_case`

### Example

<CodeBlock code="opt casing = PascalCase" />

## Writechecks

The writechecks option determines if conditional constraints should be valided on the just the receiver (`false`) or on both the sender and receiver (`true`).

### Default

`false`

### Options

- `true`
- `false`

### Example

<CodeBlock code="opt writechecks = false" />

## TypeScript

The TypeScript option determines if `.d.ts` files should be outputted for support with [roblox-ts](https://roblox-ts.com/).

### Default

`false`

### Options

- `true`
- `false`

### Example

<CodeBlock code="opt typescript = false" />
